summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authormvglasow <michael -at- vonglasow.com>2019-08-21 23:35:12 +0300
committermvglasow <michael -at- vonglasow.com>2019-08-21 23:46:57 +0300
commit82a5810b33da43f0bd5ef27493feb4682f9910f5 (patch)
treeff4d8325a79ece770540ac0172ae4ca504d77854 /scripts
parente7a70e9dc04b94b47fb7786aab4edfd25132c70f (diff)
downloadnavit-82a5810b33da43f0bd5ef27493feb4682f9910f5.tar.gz
Fix:toolchain:Remove privileged operation from build script
Signed-off-by: mvglasow <michael -at- vonglasow.com>
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/build_android.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/scripts/build_android.sh b/scripts/build_android.sh
index f30c7d76c..790d8130c 100755
--- a/scripts/build_android.sh
+++ b/scripts/build_android.sh
@@ -23,9 +23,9 @@ export JVM_OPTS="-Xmx3200m"
export GRADLE_OPTS='-Dorg.gradle.jvmargs="-Xmx2048m -XX:+HeapDumpOnOutOfMemoryError"'
# processing xml is messed up a bit after the original introduction of gradle
-# so a useless install of ant here even if using gradle/ninja
+# so require a useless install of ant here even if using gradle/ninja
-sudo apt-get install -y ant
+which ant > /dev/null || { echo "FATAL: ant is not installed; install manually and retry."; exit 1; }
echo Run CMake
test -z "$PKG_CONFIG_LIBDIR" && export PKG_CONFIG_LIBDIR="" # Force cmake below to run ignore build host libraries when using pkgconfig.